Subject: Re: [UPDATE] cron won't execute tasks
From: Robert Pollard <[email-masked]>
To: Robert Pollard <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Thu, 4 Nov 2004 12:33:40 -0800

I ran cron_diagnose.sh and fixed the things that it said needed to be 
fixed.  There was a problem with the permissions on /etc/passwd that I 
couldn't figure out how to resolve.  It said the permissions needed 
have the read bit set.  So, I set it and it still didn't work.  The 
pattern it is looking for is '^-r--r--r-- '  My permissions are 
'-r--r--r--+'  I know this allows special access but I don't know how 
to turn it off.  None of the other servers where I could get cron to 
execute have the plus symbol in the permissions.  How do I get rid of 
it?

Also, it doesn't make sense that this would stop cron from executing 
the jobs because it shouldn't be using the passwd file to authenticate. 
  It is suppose to run as SYSTEM.

Thanks for all your help.

Robert

On Oct 28, 2004, at 5:22 PM, Robert Pollard wrote:

> Hello all,
>
> This problem is driving me insane (I don't have far to go ;-).
>
> Configuration:
> Windows 2003 Enterprise Edition, quad processor, 12 GB RAM.  Just 
> downloaded Cygwin a few days ago.  So, it should be the latest.
>
> The possible root cause:
> BTW, I am trying to run cron as a service.
> Our IT person installed Cygwin under a domain account.  Cron would run 
> every minute but wouldn't switch user context.  So, I had him 
> re-install Cygwin under a new local account that was assigned to the 
> Windows Administrators group.
>
> The problem:
> Cron will not execute every minute now.  I have a scheduled task that 
> does something like "* * * * * /bin/echo "Test" >/dev/null 
> 1>/TestAct.log"  It doesn't execute at all.
>
> The other problem:
> Cron will not execute scheduled tasks even if I run it from the 
> command line as in: /usr/sbin/cron
>
> If cron is run from the command line and I set up a simple cron job 
> from the command line (crontab <file name>) it should execute every 
> minute.
>
> I apologize up front for any missing information but what I really 
> need is a check list of things I need to look at in order to make cron 
> run every minute as it should.
>
> Usually, it reports to the system log and I can tell that it is at 
> least trying to run every minute.  It's very difficult to know what is 
> happening since it doesn't report anything to the system log.  If I 
> run it from the command line I can't even see any logging activities 
> at all.  Looking into /var/log/cron.log only shows when it is started 
> and stopped.
>
> BTW, the only way I can get an entry into the system log is to run 
> crontab.  It tries to reload the crontab entry.  When it was under the 
> domain user, I was able to see an entry in the system log every 
> minute.  Although, it wouldn't execute the scripts because it couldn't 
> switch user context.
>
> Thanks for any help you can give.
>
> -Robert Pollard
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Problem reports:       http://cygwin.com/problems.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/